Request
curl https://sandbox.api.lendeasy.ai /v1/loans/$LOAN_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/loans/${loanId}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/loans/{loan_id}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"id": 7204 ,
"accountNo": "000007204",
"externalId": "origination-HBR-2026-001",
"status": {
"id": 300 ,
"code": "loanStatusType.active",
"value": "Active",
"pendingApproval": false ,
"active": true
},
"clientId": 412 ,
"clientName": "Maya Chen",
"loanProductId": 3 ,
"loanProductName": "Harbor 18-month personal loan",
"currency": {
"code": "USD",
"displaySymbol": "$"
},
"principal": 8400 ,
"loanType": {
"id": 1 ,
"code": "loanType.individual",
"value": "Individual"
},
"timeline": {
"submittedOnDate": [
2026,
8,
11
],
"approvedOnDate": [
2026,
8,
11
],
"actualDisbursementDate": [
2026,
8,
12
]
},
"approvedPrincipal": 8400 ,
"annualInterestRate": 13.25 ,
"numberOfRepayments": 18 ,
"summary": {
"currency": {
"code": "USD"
},
"principalDisbursed": 8400 ,
"principalOutstanding": 7975.61 ,
"interestCharged": 1160.52 ,
"interestOutstanding": 88.06 ,
"feeChargesCharged": 252 ,
"totalOutstanding": 8063.67 ,
"totalOverdue": 0
},
"repaymentSchedule": {
"currency": {
"code": "USD"
},
"loanTermInDays": 548 ,
"totalPrincipalExpected": 8400 ,
"periods": [
{
"period": 1 ,
"dueDate": [
2026,
9,
12
],
"principalDue": 424.39 ,
"interestDue": 92.75 ,
"feeChargesDue": 0 ,
"totalDueForPeriod": 517.14 ,
"principalLoanBalanceOutstanding": 7975.61
}
]
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}